最新资讯风向标

份额低于1%,谷歌不再为安卓4.1-4.3JellyBean提供GooglePlay服务

2021-11-25 13:39 作者: 来源: 本站 浏览: 19次 字号:

摘要:   7 月 9 日消息 外媒 9to5 Google 报道,Google Play 服务负责一系列面向用户的功能,如账户管理和 Chrome OS 整合,同时也为第三方应用开发者提供一些后台功能。谷歌今天宣布,Play 服务在下个月将放弃对 Android J...

  7 月 9 日消息 外媒 9to5 Google 报道,Google Play 服务负责一系列面向用户的功能,如账户管理和 Chrome OS 整合,同时也为第三方应用开发者提供一些后台功能。谷歌今天宣布,Play 服务在下个月将放弃对 Android Jelly Bean (果冻豆) 支持。

  Jelly Bean 果冻豆是面向公众的三个版本中的甜点名称,从 2012 年 7 月的安卓 4。1 开始。亮点包括黄油计划,以改善 UI 性能,Nexus 7 是首发搭载设备。安卓 4。2 于当年 11 月在 Nexus 4 和 Nexus 10 上发布,对锁屏和快速设置进行了较大的界面改动。最后一次果冻豆发布是 2013 年 7 月在 Nexus 7 第二代上发布的 Android 4。3。

  截至本月,果冻豆的活跃设备数低于 1%,谷歌将在 2021 年 8 月底前停止更新 Google Play 服务。这包括 API 级别 16、17 和 18。最后一次更新将是即将发布的 21。30。99 版本。

  从那时起,安卓发布了大量的改进和功能,这些改进和功能并没有全部回传到 Jelly Bean 果冻豆。这导致开发人员和 QA 花在需要特殊处理的新功能上的时间增加。因此,我们将在未来的 Google Play 服务版本中取消对 JB 的支持。

  谷歌今天对应用程序开发人员的指导是使用 API 级别 19(KitKat)作为最低支持的 API 级别。

  在所有安卓设备中,有很小一部分使用的 API 级别低于 19。我们相信,这些旧设备中有许多可能没有被积极使用。如果你的应用程序在旧设备上仍有大量的用户,你可以使用 Google Play 中的多个 APK 支持,提供使用 Google Play 服务 21。30。99 的 APK。

  那些运行非常老的设备的用户仍然能够从 Google Play 商店安装最近发布的确实针对他们设备的应用版本,但不会从新的功能中受益。也就是说,谷歌已经要求较新的操作系统实现最近的功能–例如,Fast Pair 至少需要 Android 6。0 系统。